Subject: Re: bug#53909: [PATCH 0/4] 'guix pull -l' no longer displays package lists by default

From: zimoun <[email-masked]>
Date: Mon, 14 Feb 2022 18:28:21 +0100

Hi Ludo,

On Mon, 14 Feb 2022 at 15:56, Ludovic Courtès <[email-masked]> wrote:

> >           (option '("details") #f #f
> >                   (lambda (opt name arg result)
> > -                   (alist-cons 'details? #t result)))
> > +                   (alist-cons 'details? #t
> > +                               (cons '(query list-generations #f)
> > +                                     result))))
>
> It’s a bit more complicated since you don’t want to override previous
> ‘-l’ arguments, but I did that.

Ah yes, indeed.  Keep the pattern. :-)

> There’s a ZERO WIDTH NON-JOINER above; you can see it with a trick I
> recently learned: (set-face-background 'glyphless-char "red").

Oh, cool.  Thanks!

> Anyway, pushed:

Thanks for the quick fix and I hope more people will read now the news. :-)

Cheers,
simon